[XMPP]
jid = chrobry@exampleserver.org
password = safak
rooms = roomname@muc.example.org



[AI]
openai_key = openaiapikey
openai_api_url = https://api.groq.com/openai/v1/chat/completions
openai_model = openai/gpt-oss-120b
openai_system_prompt = You are an AI assistant.
# Room Nicknames: room_jid = nickname
# nickname.room1@conference.example.com = ModerationBot
# nickname.room2@conference.example.com = Chrobry

[Bot]
nickname = Chrobry (Beta)
trigger = !
# Admins (JIDs separated by comma)
admins = admin@example.org
# Moderators (JIDs separated by comma)
moderators = admin@example.org

# File Hosting (xmpp, catbox, litterbox)
file_host = litterbox
# Optional API key for catbox
file_host_api_key = 

giphy_key = giphykeykey

[Features]
# WolframAlpha App ID for the !wa command
wolfram_appid = wolframalphakey

# Preferred languages for Wiktionary definitions (comma-separated)
# The bot will look for definitions in this order.
# Add as many as you want
wiktionary_priority = en, de, fr
# NSFW Modes: ALL, WHITELIST, NONE
nsfw_mode = WHITELIST
# Comma separated list of rooms allowed for NSFW
nsfw_rooms = naughtyroom@room.example.org

# Wordlist URL for moderation
wordlist_url = https://raw.githubusercontent.com/LDNOOBW/List-of-Dirty-Naughty-Obscene-and-Otherwise-Bad-Words/master/en

[Moderation]
# Max warnings before action
max_warnings = 3
# Action on max warnings: kick, mute, ban
warning_action = mute
# Mute duration in seconds
mute_duration = 300
# ALL = Moderate everywhere
# NON_NSFW = Moderate only in non-NSFW rooms
# NONE = Disable moderation entirely
moderation_enabled = NON_NSFW

